<?php
namespace Claromentis\Search;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_8f7d73e7" . "1f759595e" . "26c94678c" . "a29d85" => base64_decode("Y2ZnX3NlYXJjaF" . "9lc192ZXJzaW9u"));
use Claromentis\Search\QueryBuilders\AbstractQueryBuilder;
use Claromentis\Search\QueryBuilders\QueryBuilderV7;
use Claromentis\Search\QueryBuilders\QueryBuilderV1;




class QueryBuilder implements QueryBuilderInterface
{
    
    
    protected $inner;
    public function __construct(string $_c80a67ccfaf6579232efc354d30eb275 = null)
    {
        $_c80a67ccfaf6579232efc354d30eb275 = $_c80a67ccfaf6579232efc354d30eb275 ?? \Claromentis\Core\Services::I()->config[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_8f7d73e71f759595e26c946" . "78ca29d85"]];
        if ($_c80a67ccfaf6579232efc354d30eb275 === SearchApplication::ES_7) {
            $this->inner = new QueryBuilderV7();
        } else {
            $this->inner = new QueryBuilderV1();
        }
    }
    public function SetParameters(Parameters $_7513206ad0d1ac947614f69369d81e78)
    {
        return $this->inner->SetParameters($_7513206ad0d1ac947614f69369d81e78);
    }
    
    
    
    
    
    public function GetOptions()
    {
        return $this->inner->GetOptions();
    }
    
    
    
    
    
    public function GetQuery()
    {
        return $this->inner->GetQuery();
    }
    public function GetInner() : AdvancedQueryBuilderInterface
    {
        return $this->inner;
    }
}